Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.bind
Class MissingPortletRequestParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException
                  org.springframework.web.portlet.bind.PortletRequestBindingException
                      org.springframework.web.portlet.bind.MissingPortletRequestParameterException

All Implemented Interfaces:
  java.io.Serializable

    public class MissingPortletRequestParameterException

extends PortletRequestBindingException

`PortletRequestBindingException` subclass that indicates a missing parameter.

Since:
  2.0.2
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`MissingPortletRequestParameterException(java.lang.String parameterName, java.lang.String parameterType)` Constructor for MissingPortletRequestParameterException.

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.String` | `getParameterName()` Return the name of the offending parameter.
`java.lang.String` | `getParameterType()` Return the expected type of the offending parameter.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingPortletRequestParameterException

    public MissingPortletRequestParameterException(java.lang.String parameterName,
                                                   java.lang.String parameterType)

  Constructor for MissingPortletRequestParameterException.

  Parameters:
    `parameterName` - the name of the missing parameter
    `parameterType` - the expected type of the missing parameter

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getParameterName

    public final java.lang.String getParameterName()

  Return the name of the offending parameter.

### getParameterType

    public final java.lang.String getParameterType()

  Return the expected type of the offending parameter.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD